Package madkit.i18n

# Enum Class ErrorMessages

java.lang.Object
java.lang.Enum<ErrorMessages>
madkit.i18n.ErrorMessages

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrorMessages>`, `java.lang.constant.Constable`

public enum ErrorMessages extends Enum<ErrorMessages>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `C_NULL`
  `CANT_CONNECT`
  `CANT_FIND`
  `CANT_LAUNCH`
  `CANT_LOAD`
  `FAILED`
  `G_NULL`
  `MUST_BE_LAUNCHED`
  `OPTION_MISUSED`
  `R_NULL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static ErrorMessages`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ErrorMessages[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FAILED

    public static final ErrorMessages FAILED

  - ### C_NULL

    public static final ErrorMessages C_NULL

  - ### G_NULL

    public static final ErrorMessages G_NULL

  - ### R_NULL

    public static final ErrorMessages R_NULL

  - ### CANT_LAUNCH

    public static final ErrorMessages CANT_LAUNCH

  - ### OPTION_MISUSED

    public static final ErrorMessages OPTION_MISUSED

  - ### CANT_FIND

    public static final ErrorMessages CANT_FIND

  - ### CANT_LOAD

    public static final ErrorMessages CANT_LOAD

  - ### CANT_CONNECT

    public static final ErrorMessages CANT_CONNECT

  - ### MUST_BE_LAUNCHED

    public static final ErrorMessages MUST_BE_LAUNCHED

- ## Method Details

  - ### values

    public static ErrorMessages[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ErrorMessages valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ErrorMessages>`